package com.ruoyi.pt.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.pt.mapper.CasesImportMapper;
import com.ruoyi.pt.entity.CasesImport;
import com.ruoyi.pt.service.CasesImportService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * (CasesImport)表服务实现类
 *
 * @author wu
 * @since 2023-12-26 10:40:44
 */
@Service("casesImportService")
public class CasesImportServiceImpl extends ServiceImpl<CasesImportMapper, CasesImport> implements CasesImportService {

    /**
     * 查询id最大的一条数据
     *
     * @return 数据
     */
    @Override
    public Long findIdDesc() {
        return baseMapper.findIdDesc();
    }

    /**
     * 查询所有日期
     *
     * @return 日期集合
     */
    @Override
    public List<String> findDate() {
        return baseMapper.findDate();
    }
}

